## gsoap 2.8.3

=== debian/changelog ===
gsoap (2.8.3-1ubuntu1) oneiric-proposed; urgency=low

  * Fix an issue with IPv4 only sockets when IPv6 is enabled (LP: #876713)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 23 Oct 2011 11:47:12 +0200

gsoap (2.8.3-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright - the code generated by wsdl2h and soapcpp2
    now has an OpenSSL linking exception to the GPL

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 28 Jun 2011 06:56:17 +0200

gsoap (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Rewrite the debian/copyright file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 May 2011 16:01:38 +0200

gsoap (2.7.17-1) unstable; urgency=low

  * New maintainer: Mattias Ellert (Closes: #519898).
  * New upstream release (Closes: #489264).
  * Install import and plugin directories (Closes: #606641).
  * Install custom directory (Closes: #513244).
  * Correct doc-base file (Closes: #512894).
  * Enable IPv6 support.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 15 Mar 2011 18:59:16 +0100

gsoap (2.7.9l-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Added build dependency on quilt (Closes: #487156).
  * Updated doc-base entry.
  * Suggesting openssl package that is used in examples.
  * Eliminated lintian warning on root.sh example.

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Jun 2008 03:02:16 +0200

gsoap (2.7.9l-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #441212, #442280).
  * Added -fPIC -DPIC to C(PP)FLAGS to ease linking (Closes: #353724).

 -- Steffen Moeller <moeller@debian.org>  Thu, 19 Jun 2008 14:50:28 +0200

gsoap (2.7.9b-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 0-day porter NMU.
  * Fix mis-detection of TRU64 whenever __alpha is defined, which causes a
    build failure on Linux/Alpha.  Closes: #337863.

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 May 2007 02:15:40 -0700

gsoap (2.7.9b-1) unstable; urgency=low

  * New upstream version (Closes: #383712)
  * The following fixes were contributed by Christian Holm Christensen
    <cholm@nbi.dk> (Closes: #402115):
  ** Also install stl*.h files  needed by wsdl2h (Closes: #330886).
  ** Install stdsoap2.c and stdsoap2.cpp in /usr/include/gsoap/ so that
     developers can `#include <gsoap/stdsoap2.c>' or
     `#include <gsoap/stdsoap2.cpp>' instead of linking against -lgsoap,
     or compile these files separately.  The documentation actually
     suggests that the developer should compile these files into the
     server/client, so they should be distributed.
  ** Improve man(1) pages
  ** Added copy of config.{guess,sub} and build-dep on autotools-dev
  ** Added some of the examples from the `soapcpp2/samples' directory as
     normal examples.  This servers as an extra source of documentation.
  ** Fixed a problem in the code when passing a `unsigned char*' (by
     address) instead of a `const unsigned char*'.  Line 3813 in
     stdsoap2_ssl_cpp.cpp (a symlink to stdsoap2.cpp).
  ** Fix perm of example script root.sh
  ** Do not distribute configured built-system with examples.
  ** soapcpp2.html isn't compressed

 -- Thomas Wana <greuff@debian.org>  Thu,  1 Feb 2007 15:21:36 +0100

gsoap (2.7.6d-1) unstable; urgency=low

  * New upstream version

 -- Thomas Wana <greuff@debian.org>  Fri, 20 Jan 2006 13:34:00 +0100

gsoap (2.7.6c-1) unstable; urgency=low

  * New upstream version (Closes: #325021, #325022)

 -- Thomas Wana <greuff@debian.org>  Wed, 21 Sep 2005 00:14:41 +0200

gsoap (2.7.0d-2) unstable; urgency=low

  * Package now includes header files needed for soapcpp2 to work with
    files generated from wsdl2h (Closes: #310582)

 -- Thomas Wana <greuff@debian.org>  Sat,  4 Jun 2005 13:29:49 +0200

gsoap (2.7.0d-1) unstable; urgency=low

  * New upstream version 2.7.0d stable (Closes: #199358 (ITP)).

 -- Thomas Wana <greuff@debian.org>  Wed,  5 Jan 2005 20:36:12 +0100

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev, quilt
Standards-Version: 3.9.2
Section: devel
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: gsoap
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap0 (= ${binary:Version})
Description: Development libraries and stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gsoap (= ${binary:Version}) | libgsoap0 (= ${binary:Version})
Description: Debugging symbols for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include /usr/share/quilt/quilt.make

version = 2.8.3

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	find . -name '*.xml' -exec chmod a-x {} \;

	rm -f gsoap/doc/wsse/html/.DS_Store
	rm -f gsoap/doc/.DS_Store

	sed 's/Cflags:/& @SOAPCPP2_IPV6@/' -i gsoap*.pc.in

	autoreconf --install --force

	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CFLAGS)' ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--exec-prefix='$${prefix}' \
		--mandir='$${datadir}/man' \
		--infodir='$${datadir}/info' \
		--enable-ipv6 \
		--enable-samples

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean: unpatch
	:

unpatch: cleanup

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi

	# Remove autogenerated files

	rm -f ltmain.sh
	rm -f libtool
	rm -f ylwrap

	rm -rf autom4te.cache

	rm -f gsoap/samples/databinding/address.h
	rm -f gsoap/samples/udp/udp.wsdl

	rm -f gsoap/samples/chaining++/QuoteC.cpp
	rm -f gsoap/samples/chaining++/QuoteH.h
	rm -f gsoap/samples/chaining++/QuoteStub.h
	rm -f gsoap/samples/chaining++/CalcC.cpp
	rm -f gsoap/samples/chaining++/CalcH.h
	rm -f gsoap/samples/chaining++/CalcStub.h

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	sed 's/ @SOAPCPP2_IPV6@//' -i gsoap*.pc.in

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	rm $(CURDIR)/debian/tmp/usr/lib/*.la

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=gsoap-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/gsoap/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
	  echo "gsoap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "gsoap-2.8" ]; then \
	    echo "Please remove existing directory 'gsoap-2.8'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -d "gsoap-$(version)" ]; then \
	    echo "Please remove existing directory 'gsoap-$(version)'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -r gsoap_$(version).zip ]; then \
	    echo "Using existing ZIP archive gsoap_$(version).zip" ; \
	    echo "Delete the file and rerun if you want to redownload" ; \
	  else \
	    echo "Fetching upstream ZIP archive" ; \
	    wget http://downloads.sourceforge.net/gsoap2/gsoap_$(version).zip ; \
	  fi ; \
	  echo "Unpacking and renaming folder" ; \
	  unzip gsoap_$(version).zip ; \
	  mv gsoap-2.8 gsoap-$(version) ; \
	  echo "Deleting code with only non-free licenses" ; \
	  rm -rf gsoap-$(version)/gsoap/extras \
		 gsoap-$(version)/gsoap/mod_gsoap \
		 gsoap-$(version)/gsoap/Symbian ; \
	  echo "Repacking" ; \
	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
	  echo "Cleaning up" ; \
	  rm -rf gsoap-$(version) ; \
	  echo "Done" ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## gsoap 2.8.4

=== debian/changelog ===
gsoap (2.8.4-2) unstable; urgency=low

  * Bump soname instead of using shlibs file for backward
    non-compatible updates

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Nov 2011 20:34:05 +0100

gsoap (2.8.4-1) unstable; urgency=low

  * New upstream release
  * Drop gsoap-ipv6.patch implemented upstream
  * Link gsoap SSL shared libraries with libssl (Closes: #646228)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 01 Nov 2011 05:14:38 +0100

gsoap (2.8.3-3) unstable; urgency=low

  * Fix an issue with IPv4 only sockets when IPv6 is enabled (LP: #876713)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 21 Oct 2011 16:02:55 +0200

gsoap (2.8.3-2) unstable; urgency=low

  * Update man pages
  * Add shlibs file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 28 Aug 2011 18:50:33 +0200

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
Standards-Version: 3.9.2
Section: devel
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: gsoap
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap1 (= ${binary:Version})
Description: Development libraries and stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gsoap (= ${binary:Version}) | libgsoap1 (= ${binary:Version})
Description: Debugging symbols for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,39 +1,26 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+-include /usr/share/dpkg/buildflags.mk
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-include /usr/share/quilt/quilt.make
-
-version = 2.8.3
+version = 2.8.4
+# Bump the soversion whenever the new version is not backwards compatible
+soversion = 1
 
 configure: configure-stamp
 	:
 
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 
 	find . -name '*.xml' -exec chmod a-x {} \;
 
-	rm -f gsoap/doc/wsse/html/.DS_Store
 	rm -f gsoap/doc/.DS_Store
-
-	sed 's/Cflags:/& @SOAPCPP2_IPV6@/' -i gsoap*.pc.in
 
 	autoreconf --install --force
 
-	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CFLAGS)' ./configure \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
+	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
+	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
 		--prefix=/usr \
 		--exec-prefix='$${prefix}' \
 		--mandir='$${datadir}/man' \
@@ -43,22 +30,23 @@
 
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+	:
+
+build-arch: build-stamp
+	:
+
+build-indep: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) SOVERSION=$(soversion)
 
 	touch $@
 
-clean: unpatch
-	:
-
-unpatch: cleanup
-
-cleanup:
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -86,8 +74,6 @@
 
 	rm -f build-stamp configure-stamp
 
-	sed 's/ @SOAPCPP2_IPV6@//' -i gsoap*.pc.in
-
 	dh_clean
 
 install: build-stamp
@@ -96,7 +82,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*.la
 
@@ -108,6 +94,12 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
+
+	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
+	    rm $$f ; \
+	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
+	done
+
 	dh_install --fail-missing
 	dh_installman
 	dh_link
@@ -157,4 +149,4 @@
 	  echo "Done" ; \
 	fi
 
-.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## gsoap 2.8.7

=== debian/changelog ===
gsoap (2.8.7-2+deb7u1) wheezy-security; urgency=high

  * Non maintainer upload by the LTS team.
  * Fix CVE-2017-9765: A vulnerability was discovered in gsoap, a library for
    the development of SOAP web services and clients, that may be exposed with a
    large and specific XML message over 2 GB in size. After receiving this 2 GB
    message, a buffer overflow can cause an open unsecured server to crash.
    Clients communicating with HTTPS with trusted servers are not affected.

 -- Markus Koschany <apo@debian.org>  Mon, 24 Jul 2017 19:42:04 +0200

gsoap (2.8.7-2) unstable; urgency=low

  * Add missing Replaces/Breaks (Closes: #694277)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 14:42:31 +0100

gsoap (2.8.7-1) unstable; urgency=low

  * New upstream release
  * Bump soname due to changes in struct soap w.r.t. the previous Debian
    version
  * Split binary rule in debian/rules for arch and indep

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Feb 2012 11:00:53 +0100

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
Standards-Version: 3.9.3
Section: devel
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: gsoap
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap2 (= ${binary:Version})
Description: Development libraries and stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}, libjs-jquery
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gsoap (= ${binary:Version}) | libgsoap2 (= ${binary:Version})
Description: Debugging symbols for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,11 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.4
+version = 2.8.7
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 1
+soversion = 2
 
 configure: configure-stamp
-	:
 
 configure-stamp:
 	dh_testdir
@@ -31,13 +30,10 @@
 	touch $@
 
 build: build-arch build-indep
-	:
 
 build-arch: build-stamp
-	:
 
 build-indep: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
@@ -86,35 +82,46 @@
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*.la
 
-binary-indep:
-	:
+binary: binary-arch binary-indep
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
-	dh_installdocs
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_install -a --fail-missing
+	dh_installman -a
+	dh_link -a
+	dh_strip -a --dbg-package=gsoap-dbg
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_shlibdeps -a -l debian/gsoap/usr/lib
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
+
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs -i
 
 	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
 	    rm $$f ; \
 	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
 	done
 
-	dh_install --fail-missing
-	dh_installman
-	dh_link
-	dh_strip --dbg-package=gsoap-dbg
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps -l debian/gsoap/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-	:
+	dh_installchangelogs -i
+	dh_install -i --fail-missing
+	dh_installman -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 get-orig-source:
 	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
@@ -149,4 +156,4 @@
 	  echo "Done" ; \
 	fi
 
-.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install get-orig-source

## gsoap 2.8.12

=== gsoap/samples/wcf/Basic/Http/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../bin/wsdl2h
GSOAP=../../../../bin/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=
#CMFLAGS=-DDEBUG
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp $(SOAPCPP) $(LIBS)
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== gsoap/samples/wcf/WS/DualHttp/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../bin/wsdl2h
GSOAP=../../../../bin/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import -I../../../..
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
#CMFLAGS=-DDEBUG -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC) wsrxClient.cpp
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexService.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexProxy.cpp wsrxClient.cpp wsrxServer.cpp ../../../../plugin/wsrmapi.c ../../../../plugin/wsaapi.c ../../../../custom/duration.c $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
wsrxClient.cpp wsrxServer.cpp:
		$(GSOAP) $(GSFLAGS) -A -pwsrx ../../../../import/wsrm5.h
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== debian/changelog ===
gsoap (2.8.12-1) unstable; urgency=low

  * New upstream release
  * Convert to multiarch (Closes: #674414)
  * Split gsoap package into libgsoap-dev (Multi-Arch: same) and
    gsoap (Multi-Arch: foreign)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 10 Jan 2013 14:46:34 +0100

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
Standards-Version: 3.9.3
Section: devel
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: gsoap (<< 2.8.12)
Breaks: gsoap (<< 2.8.12)
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap3 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-dev (= ${binary:Version})
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}, libjs-jquery
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: libgsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgsoap3 (= ${binary:Version})
Description: Debugging symbols for gSOAP libraries
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for libraries.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, gsoap (= ${binary:Version})
Description: Debugging symbols for gSOAP stub generators
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for stub
 generators.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.7
+version = 2.8.12
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 2
+soversion = 3
 
 configure: configure-stamp
 
@@ -21,9 +23,7 @@
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
 		--prefix=/usr \
-		--exec-prefix='$${prefix}' \
-		--mandir='$${datadir}/man' \
-		--infodir='$${datadir}/info' \
+		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 		--enable-ipv6 \
 		--enable-samples
 
@@ -59,6 +59,8 @@
 	rm -f gsoap/samples/databinding/address.h
 	rm -f gsoap/samples/udp/udp.wsdl
 
+	rm -f gsoap/samples/chaining/qServer.c
+
 	rm -f gsoap/samples/chaining++/QuoteC.cpp
 	rm -f gsoap/samples/chaining++/QuoteH.h
 	rm -f gsoap/samples/chaining++/QuoteStub.h
@@ -80,7 +82,7 @@
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
-	rm $(CURDIR)/debian/tmp/usr/lib/*.la
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
 
 binary: binary-arch binary-indep
 
@@ -92,12 +94,13 @@
 	dh_install -a --fail-missing
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --dbg-package=gsoap-dbg
+	dh_strip -a -X/bin/ --dbg-package=libgsoap-dbg
+	dh_strip -a -X/lib/ --dbg-package=gsoap-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/gsoap/usr/lib
+	dh_shlibdeps -a -l debian/gsoap/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## gsoap 2.8.16

=== gsoap/samples/webserver/Makefile ===
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
SOAPDOMC=../../dom.c
SOAPDOMCPP=../../dom.cpp
CC=gcc
CPP=g++
LIBS=-lpthread -lz -lssl -lcrypto
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I../.. -I../../plugin
CMFLAGS=-DWITH_COOKIES -DWITH_GZIP -DWITH_OPENSSL 
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		webserver
webserver:	webserver.h webserver.c logging.o httpget.o httpform.o httpda.o md5evp.o threads.o options.o $(SOAPH) $(SOAPC)
		$(GSOAP) -c -L webserver.h
		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httpform.o httpda.o md5evp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
options.o:	opt.h options.h options.c
		$(GSOAP) -cnpopt opt.h
		$(CC) $(CFLAGS) -c options.c
logging.o:	../../plugin/logging.h ../../plugin/logging.c
		$(CC) $(CFLAGS) -c ../../plugin/logging.c
httpget.o:      ../../plugin/httpget.h ../../plugin/httpget.c
		$(CC) $(CFLAGS) -c ../../plugin/httpget.c
httpform.o:	../../plugin/httpform.h ../../plugin/httpform.c
		$(CC) $(CFLAGS) -c ../../plugin/httpform.c
httpda.o:	../../plugin/httpda.h ../../plugin/httpda.c
		$(CC) $(CFLAGS) -c ../../plugin/httpda.c
md5evp.o:	../../plugin/md5evp.h ../../plugin/md5evp.c
		$(CC) $(CFLAGS) -c ../../plugin/md5evp.c
threads.o:	../../plugin/threads.h ../../plugin/threads.c
		$(CC) $(CFLAGS) -c ../../plugin/threads.c
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
distclean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
		rm -f *.wsdl *.xsd *.xml *.nsmap *.log
		rm -f webserver

=== gsoap/samples/wcf/Basic/MessageSecurity/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
#CMFLAGS=-DDEBUG -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp ../../../../plugin/wsseapi.c ../../../../plugin/smdevp.c ../../../../mecevp.c $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== gsoap/samples/wcf/Basic/TransportSecurity/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
#CMFLAGS=-DDEBUG -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		cacert.cer calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== gsoap/samples/wcf/WS/DualHttp/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 URL=http://192.168.2.2:8000/ServiceModelSamples/service
-WSDL=../../../../bin/wsdl2h
-GSOAP=../../../../bin/soapcpp2
+WSDL=../../../../wsdl/wsdl2h
+GSOAP=../../../../src/soapcpp2
 SOAPH=../../../../stdsoap2.h
 SOAPC=../../../../stdsoap2.c
 SOAPCPP=../../../../stdsoap2.cpp
@@ -15,7 +15,7 @@
 CWFLAGS=-Wall -Wno-deprecated-declarations
 CIFLAGS=-I. -I../../../.. -I../../../../plugin
 CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
-#CMFLAGS=-DDEBUG -DWITH_DOM -DWITH_OPENSSL
+#CMFLAGS=-DDEBUG_STAMP -DWITH_DOM -DWITH_OPENSSL
 CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
 all:		calculator
 calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC) wsrxClient.cpp

=== debian/changelog ===
gsoap (2.8.16-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Aron Xu <aron@debian.org>  Thu, 20 Mar 2014 00:38:47 +0800

gsoap (2.8.16-2) unstable; urgency=low

  * Move -lm to Libs.private in pkg-config files

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 31 Oct 2013 11:53:42 +0100

gsoap (2.8.16-1) unstable; urgency=low

  * New upstream release
  * Bump soname - struct soap changed

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Oct 2013 06:09:09 +0200

gsoap (2.8.12-2) unstable; urgency=low

  * Pad non-ipv6 struct soap to match ipv6 version (Closes: #712685)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 17 Oct 2013 21:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: devel
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap3
+Package: libgsoap4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -25,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap4 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -56,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap3 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap4 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.

## gsoap 2.8.17

=== gsoap/samples/wcf/WS/DualHttp/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
 COFLAGS=-O2
 CWFLAGS=-Wall -Wno-deprecated-declarations
 CIFLAGS=-I. -I../../../.. -I../../../../plugin
-CMFLAGS=-DWITH_DOM -DWITH_OPENSSL
-#CMFLAGS=-DDEBUG_STAMP -DWITH_DOM -DWITH_OPENSSL
+CMFLAGS=-DCB_THREAD -DWITH_WCF -DWITH_DOM -DWITH_OPENSSL
 CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
 all:		calculator
 calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC) wsrxClient.cpp

=== debian/changelog ===
gsoap (2.8.17-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Fix default import paths for soapcpp2 and wsdl2h
  * Remove precompiled binaries and pregenerated doxygen documentation
    from sources (Closes: #753963)
  * Remove xsd and wsdl files with licenses that disallow modification from
    sources (Closes: #728414)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 23:10:39 +0200

gsoap (2.8.16-3) unstable; urgency=medium

  * Fix for IPv4 only hosts (LP: #876713)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Jun 2014 08:32:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,16 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.12
+version = 2.8.17
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 3
+soversion = 5
 
 configure: configure-stamp
 
 configure-stamp:
 	dh_testdir
 
-	find . -name '*.xml' -exec chmod a-x {} \;
-
-	rm -f gsoap/doc/.DS_Store
+	find . -name '*.xml' -exec chmod a-x {} ';'
 
 	autoreconf --install --force
 
@@ -40,6 +38,10 @@
 
 	$(MAKE) SOVERSION=$(soversion)
 
+	for f in gsoap/doc/*/Doxyfile ; do \
+	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
+	done
+
 	touch $@
 
 clean:
@@ -56,17 +58,7 @@
 
 	rm -rf autom4te.cache
 
-	rm -f gsoap/samples/databinding/address.h
-	rm -f gsoap/samples/udp/udp.wsdl
-
-	rm -f gsoap/samples/chaining/qServer.c
-
-	rm -f gsoap/samples/chaining++/QuoteC.cpp
-	rm -f gsoap/samples/chaining++/QuoteH.h
-	rm -f gsoap/samples/chaining++/QuoteStub.h
-	rm -f gsoap/samples/chaining++/CalcC.cpp
-	rm -f gsoap/samples/chaining++/CalcH.h
-	rm -f gsoap/samples/chaining++/CalcStub.h
+	rm -rf gsoap/doc/*/html
 
 	find . -name Makefile.in -exec rm {} ';'
 
@@ -81,6 +73,9 @@
 	dh_installdirs
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+
+	install -p -m 644 debian/WS-README \
+	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
 
 	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la
 
@@ -109,12 +104,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -i
-
-	for f in `find $(CURDIR)/debian/gsoap-doc -name jquery.js` ; do \
-	    rm $$f ; \
-	    ln -s /usr/share/javascript/jquery/jquery.js $$f ; \
-	done
-
+	find $(CURDIR)/debian/gsoap-doc -name Doxyfile -exec rm {} ';'
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
 	dh_installman -i
@@ -148,10 +138,31 @@
 	  echo "Unpacking and renaming folder" ; \
 	  unzip gsoap_$(version).zip ; \
 	  mv gsoap-2.8 gsoap-$(version) ; \
+	  echo "Deleting precompiled binaries" ; \
+	  rm -rf gsoap-$(version)/gsoap/bin \
+		 gsoap-$(version)/gsoap/ios_plugin/examples/*/build \
+		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
+	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
+	  echo "Deleting pre-generated doxygen documentaion" ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
+		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
+		 gsoap-$(version)/gsoap/samples/databinding/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \
 		 gsoap-$(version)/gsoap/Symbian ; \
+	  echo "Deleting xsd and wsdl files" ; \
+	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
+		 gsoap-$(version)/gsoap/WS/*.wsdl \
+	         gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
+	         gsoap-$(version)/gsoap/uddi2/*.xsd \
+		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  echo "Deleting .dotfiles" ; \
+	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
+	  rm gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp/.calculator.cpp.swp ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \

## gsoap 2.8.22

=== gsoap/samples/wcf/Basic/MessageSecurity/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 SOAPDOMC=../../../../dom.c
 SOAPDOMCPP=../../../../dom.cpp
 TYPEMAP=../../../../typemap.dat
-CC=gcc
-CPP=g++
+CC=gcc -x c
+CPP=g++ -x c++
 LIBS=-lssl -lcrypto
 GSFLAGS=-L -I../../../../import
 COFLAGS=-O2

=== debian/changelog ===
gsoap (2.8.22-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patches fixed upstream: gsoap-private-lm.patch, -pad.patch,
    -ipv6.patch, -default-paths.patch, -cleanfiles.patch, -doxygen-paths.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 23 Apr 2015 13:06:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gsoap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), flex, bison, binutils, libssl-dev, autoconf, automake, libtool, autotools-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
+Standards-Version: 3.9.6
 Section: devel
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap4
+Package: libgsoap7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap4 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap7 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -45,7 +45,7 @@
 Multi-Arch: foreign
 Replaces: gsoap (<< 2.7.17)
 Breaks: gsoap (<< 2.7.17)
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}
 Description: gSOAP documentation
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Documentation files.
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap4 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap7 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.17
+version = 2.8.22
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 5
+soversion = 7
 
 configure: configure-stamp
 
@@ -16,7 +16,7 @@
 
 	find . -name '*.xml' -exec chmod a-x {} ';'
 
-	autoreconf --install --force
+	dh_autoreconf
 
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
@@ -50,17 +50,10 @@
 
 	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi
 
-	# Remove autogenerated files
-
-	rm -f ltmain.sh
-	rm -f libtool
-	rm -f ylwrap
-
-	rm -rf autom4te.cache
+	dh_autoreconf_clean
 
 	rm -rf gsoap/doc/*/html
-
-	find . -name Makefile.in -exec rm {} ';'
+	rm -f gsoap/doc/*/doxygen_sqlite3.db
 
 	rm -f build-stamp configure-stamp
 
@@ -95,7 +88,7 @@
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/gsoap/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
@@ -144,6 +137,9 @@
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/Http ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/MessageSecurity ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
 	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
@@ -156,13 +152,10 @@
 	  echo "Deleting xsd and wsdl files" ; \
 	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
 		 gsoap-$(version)/gsoap/WS/*.wsdl \
-	         gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
 		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
-	         gsoap-$(version)/gsoap/uddi2/*.xsd \
+		 gsoap-$(version)/gsoap/uddi2/*.xsd \
 		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
-	  echo "Deleting .dotfiles" ; \
-	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
-	  rm gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp/.calculator.cpp.swp ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \

## gsoap 2.8.28

=== debian/changelog ===
gsoap (2.8.28-2) unstable; urgency=medium

  * Remove workaround for gcc optimization bug (Fixed in gcc-5/5.3.1-9).
  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Feb 2016 16:29:52 +0100

gsoap (2.8.28-1) unstable; urgency=medium

  * New upstream release
  * Bump soname
  * Drop patch fixed upstream: gsoap-missing-terminating-quote.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Feb 2016 11:14:16 +0100

gsoap (2.8.22-2) unstable; urgency=medium

  * Introduce workaround for gcc optimization bug on mips and mipsel, add
    -fno-ipa-sra to CFLAGS and CXXFLAGS - see BTS #804536 (Closes: #804455)
  * Fix some compilation warnings

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Jan 2016 21:30:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: devel
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap7
+Package: libgsoap8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap7 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap8 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap7 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap8 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,12 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.22
+version = 2.8.28
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 7
+soversion = 8
+
+export SOURCE_DATE_EPOCH = \
+	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
@@ -62,7 +65,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
@@ -101,6 +104,7 @@
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
 	dh_installman -i
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
@@ -137,10 +141,6 @@
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/Http ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/MessageSecurity ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
-	  ( cd gsoap-$(version)/gsoap/samples/wcf/WS/DualHttp ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
 		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
